%define oname	virtual_hdd_led

Name:           plasma-applet-virtual-hdd-led
Summary:        This plasmoid displays hard disk activity
Version:        0.5
Release:        %mkrel 5
Url:            http://kde-apps.org/content/show.php/virtual_hdd_led?content=126571
License:        GPL
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{oname}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
This plasmoid displays hard disk activity


%prep
%setup -q -n %{oname}-%version


%build
%cmake_kde4
%make

%install
rm -fr %buildroot
cd build
%makeinstall_std
cd -


%files
%defattr(-,root,root)
%_libdir/kde4/plasma_applet_virtual_hdd_led.so
%_datadir/icons/hicolor/scalable/devices/virtual_hdd_led-idle.svgz
%_datadir/icons/hicolor/scalable/devices/virtual_hdd_led-read.svgz
%_datadir/icons/hicolor/scalable/devices/virtual_hdd_led-readwrite.svgz
%_datadir/icons/hicolor/scalable/devices/virtual_hdd_led-unknown.svgz
%_datadir/icons/hicolor/scalable/devices/virtual_hdd_led-write.svgz
%_datadir/kde4/services/plasma-applet-virtual_hdd_led.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf "%{buildroot}"


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

